Summary:	Default Mandrake Linux screensaver for KDE.
Name:		krozat
Version:	9.1
Release:	2mdk
Epoch:		2
License:	GPL
URL:		http://www.mandrakelinux.com/
Group:		System/Configuration/Other

# get the source from our cvs repository (see
# http://www.linuxmandrake.com/en/cvs.php3)
# no extra source or patch are allowed here.
Source:		krozat-%{version}.tar.bz2

BuildRoot:		%_tmppath/%name-%version-%release-root
Requires:		menu
BuildRequires:	XFree86-devel
BuildRequires:	arts
BuildRequires:	fam-devel
BuildRequires:	kdelibs-devel
BuildRequires:	libart_lgpl2-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libqt3-devel
BuildRequires:	zlib-devel

Summary:	Default Mandrake Linux screensaver for KDE
Group:		Graphical desktop/KDE
Requires:	kdebase
Requires:	mandrake_desk >= 9.0

%description
This package contains the default Mandrake Linux screensaver for KDE.

%prep

%setup -q
find . -type 'd' -name 'CVS' | xargs rm -fr

%build
make -f admin/Makefile.common

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure script past this line
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

./configure \
        --prefix=%_prefix --libdir=%_libdir \
        --enable-final --disable-debug --with-xinerama --disable-rpath

%make

%install
rm -rf %buildroot

%makeinstall_std


install -d %buildroot/%_menudir
kdedesktop2mdkmenu.pl krozat .hidden/ScreenSavers %buildroot/%_datadir/applnk/System/ScreenSavers/Krozat.desktop %buildroot/%_menudir/krozat kde



%post 
%update_menus

%postun
%clean_menus

%clean
rm -fr %buildroot



%files
%defattr(-,root,root)
#
%_bindir/krozat.kss
#
#
%dir %_datadir/applnk/System/
%dir %_datadir/applnk/System/ScreenSavers/
%_datadir/applnk/System/ScreenSavers/*.desktop
#
#
#
%_menudir/krozat



%changelog
* Tue Dec 24 2002 Stefan van der Eijk <stefan@eijk.nu. 9.1-2mdk
- BuildRequires: libart_lgpl2-devel

* Tue Dec 17 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-1mdk
- 9.1

* Fri Oct 18 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 9.0-7mdk
- Rebuild

* Sat Aug 31 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 9.0-6mdk
- Fix about dialogbox

* Fri Aug 23 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 9.0-5mdk
- Fix MDK copyright.

* Wed Aug 14 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 9.0-4mdk
- Rebuild against new gcc-3.2

* Fri Aug  9 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 9.0-3mdk
- lib64 fixes, again. They were split to nihil when mandrake_desk was split

* Thu Aug  8 2002 Stefan van der Eijk <stefan@eijk.nu> 9.0-2mdk
- BuildRequires

* Fri Aug 02 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 9.0-1mdk
- Initial package

